Subject: Re: What review is required for "IETF Consensus"?

From: "todd glassey" <[email-masked]>
Date: Fri, 27 Jun 2003 06:46:37 -0700

The real problem Jeff, is that there is no want of a true consensus here, or
a more formalized description of the vetting process or what is involved in
it. The cost in making the IETF what the descriptions of it paint it as,
would in fact break it financially with the current operations and funding
models. So what you are really asking for (*and reasonably so by the way) is
a total rethinking of the bigger-picture issue of what actually constitutes
vetting and the advancement of an initiative.

There is also this underlying concept that all members of a WG ***must***
participate in the vetting of each and every project or initiative that is
vetted within a WG's operations and this is also completely untrue except in
the rare case where a WG only has ONE initiative.

Todd

----- Original Message ----- 
From: "Jeff Williams" <[email-masked]>
To: "Harald Tveit Alvestrand" <[email-masked]>
Cc: "IETF" <[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Sunday, February 02, 2003 10:27 PM
Subject: Re: What review is required for "IETF Consensus"?

> Harald and all,
>
>   I "Guess" that a IETF consensus really means whatever you Harald
> says it means much like what consensus meant while you were
> Chair of the DNSO GA.  But to be honest, no consensus can be
> determined unless it is measured, which means a VOTE must be
> held amongst IETF participants.  Perish the thought, eh Harald?!  >;)
>
> Harald Tveit Alvestrand wrote:
>
> > Thread B from my previous message..... this is being CCed to the POISED
> > list, for reasons that may be obvious after reading the message; for
POISED
> > subscribers - this is followup to an IETF list thread.
> >
> > Question:
> >
> > What review process must the IESG take before taking the action to block
or
> > allow publication of such an internet-draft (ie "what does IETF
Consensus
> > mean")?
> >
> > This is not written in RFC 2434.
> > Some tactics that have been used in the past to gather information for
the
> > IESG's decision include:
> >
> > - "It's obviously OK". Approved WG document, or competently written
> > documentation from subject matter experts, reviewed by people with
> > competence on the specific registry. The IESG looks at it and thinks
that
> > it's obvioiusly right. Example: application/ogg, documented in
> > draft-walleij-ogg-mediatype.
> >
> > - Subject matter expert group review. For instance, posting to the DHC
WG
> > asking for opinions on a DHCP extension. WG chairs' feedback will carry
a
> > lot of weight.
> >
> > - IETF Last Call for Informational/Experimental, with the IESG
evaluating
> > the feedback.
> >
> > In all cases, the IESG has to evaluate; there's no other established
body
> > to do it. "The buck stops here".
> >
> > Among the cases to consider:
> >
> > - Everyone approves. Go for it.
> >
> > - Nobody cares. No comments; the IESG will usually decide that nobody
saw
> > any looming danger to the Internet, and allow the registration.
> >
> > - Serious objections. The comments clearly indicate that the
registration
> > would be harmful to the Internet (and how), and the IESG agrees with
that
> > evaluation. The IESG will refuse.
> >
> > - Incompetent or incomplete document. The IESG will usually object to
this
> > on its own - without documentation clear enough to determine whether
this
> > is OK or harmful, it would be remiss of the IESG to let the document go
> > forward even to an IETF Last Call.
> > We can't claim IETF consensus on something we can't understand.
> >
> > - Dissension within the IETF. Like in the case of a WG, the IESG has to
> > evaluate the arguments on their merits; obviously the proposers think
that
> > the registration should be allowed, and opposition without a rational
basis
> > should no more be allowed to block this registration than it should be
> > allowed to block WG progress. But as the saying goes - "this is why you
get
> > the big bucks".
> > Among the things to consider here is that the determination must be made
in
> > a timely fashion - sometimes there are reasons why letting debate rage
for
> > another 6 months doesn't seem like an attractive option.
> >
> > Questions for the audience:
> >
> > - should this description, or something like it, go into
> > draft-iesg-procedures?
> > - are there guidelines that the IESG should use when trying to determine
> > the right outcome in the "dissension" case?
> > - does this debate belong on the POISED list, together with the
discussion
> > of the IESG charter and the IESG procedures?
> >
> > Thoughts?
> >
> >                  Harald
>
> Regards,
> --
> Jeffrey A. Williams
> Spokesman for INEGroup LLA. - (Over 129k members/stakeholders strong!)
> ================================================================
> CEO/DIR. Internet Network Eng. SR. Eng. Network data security
> Information Network Eng. Group. INEG. INC.
> E-Mail [email-masked]
> Contact Number: 214-244-4827 or 214-244-3801
>
>

---

From: Jeff Williams <[email-masked]>
Date: Fri, 27 Jun 2003 20:01:03 -0700

Todd, Harald and all,

  I agree with you here Todd, unfortunately and sadly.  Hence
perhaps leaving the stakeholders/users, most of which will be
unaware and many will be unnecessarily taken advantage of
from time to time...

Regards,

--
Jeffrey A. Williams
Spokesman for INEGroup LLA. - (Over 131k members/stakeholders strong!)
"Be precise in the use of words and expect precision from others" -
    Pierre Abelard
===============================================================
CEO/DIR. Internet Network Eng. SR. Eng. Network data security
Information Network Eng. Group. INEG. INC.
E-Mail [email-masked]
Contact Number: 214-244-4827 or 214-244-3801